/* File:	rtc_comp_table.c */ 

#include "metering_modules.h"
#include <stdint.h>

/* int = rtc_comp[temp + 40] >> 8
 frac = rtc_comp[temp + 40] & 0xff */
const uint16_t rtc_comp[POWER_METERING_TEMP_COMP_ARRAY_SIZE] =
{
    0xb54, /* index = 0, ppm = -132, -40C */
    0xc55, /* index = 1, ppm = -129, -39C */
    0xbcc, /* index = 2, ppm = -126, -38C */
    0xba4, /* index = 3, ppm = -122, -37C */
    0xb7c, /* index = 4, ppm = -119, -36C */
    0xc1d, /* index = 5, ppm = -115, -35C */
    0xc55, /* index = 6, ppm = -112, -34C */
    0xc47, /* index = 7, ppm = -109, -33C */
    0xc39, /* index = 8, ppm = -105, -32C */
    0xc2b, /* index = 9, ppm = -102, -31C */
    0xc64, /* index = 10, ppm = -98, -30C */
    0xd01, /* index = 11, ppm = -95, -29C */
    0xcda, /* index = 12, ppm = -92, -28C */
    0xcb2, /* index = 13, ppm = -88, -27C */
    0xc8b, /* index = 14, ppm = -85, -26C */
    0xd29, /* index = 15, ppm = -81, -25C */
    0xd58, /* index = 16, ppm = -79, -24C */
    0xd4c, /* index = 17, ppm = -76, -23C */
    0xd40, /* index = 18, ppm = -73, -22C */
    0xd34, /* index = 19, ppm = -70, -21C */
    0xd64, /* index = 20, ppm = -67, -20C */
    0xdf6, /* index = 21, ppm = -65, -19C */
    0xdd1, /* index = 22, ppm = -62, -18C */
    0xdad, /* index = 23, ppm = -60, -17C */
    0xd88, /* index = 24, ppm = -57, -16C */
    0xe1b, /* index = 25, ppm = -54, -15C */
    0xe43, /* index = 26, ppm = -52, -14C */
    0xe39, /* index = 27, ppm = -50, -13C */
    0xe2f, /* index = 28, ppm = -47, -12C */
    0xe25, /* index = 29, ppm = -45, -11C */
    0xe4d, /* index = 30, ppm = -42, -10C */
    0xe6e, /* index = 31, ppm = -40, -9C */
    0xe66, /* index = 32, ppm = -38, -8C */
    0xe5d, /* index = 33, ppm = -36, -7C */
    0xe55, /* index = 34, ppm = -34, -6C */
    0xe77, /* index = 35, ppm = -32, -5C */
    0xefa, /* index = 36, ppm = -31, -4C */
    0xed9, /* index = 37, ppm = -29, -3C */
    0xeb8, /* index = 38, ppm = -27, -2C */
    0xe97, /* index = 39, ppm = -25, -1C */
    0xf1b, /* index = 40, ppm = -23, 0C */
    0xf30, /* index = 41, ppm = -22, 1C */
    0xf2b, /* index = 42, ppm = -21, 2C */
    0xf25, /* index = 43, ppm = -20, 3C */
    0xf20, /* index = 44, ppm = -19, 4C */
    0xf36, /* index = 45, ppm = -17, 5C */
    0xf4a, /* index = 46, ppm = -16, 6C */
    0xf45, /* index = 47, ppm = -15, 7C */
    0xf40, /* index = 48, ppm = -14, 8C */
    0xf3b, /* index = 49, ppm = -13, 9C */
    0xf4f, /* index = 50, ppm = -11, 10C */
    0xf5c, /* index = 51, ppm = -11, 11C */
    0xf59, /* index = 52, ppm = -10, 12C */
    0xf55, /* index = 53, ppm = -9, 13C */
    0xf52, /* index = 54, ppm = -8, 14C */
    0xf60, /* index = 55, ppm = -7, 15C */
    0xf66, /* index = 56, ppm = -7, 16C */
    0xf64, /* index = 57, ppm = -7, 17C */
    0xf63, /* index = 58, ppm = -6, 18C */
    0xf61, /* index = 59, ppm = -6, 19C */
    0xf68, /* index = 60, ppm = -5, 20C */
    0xf6c, /* index = 61, ppm = -5, 21C */
    0xf6b, /* index = 62, ppm = -5, 22C */
    0xf6a, /* index = 63, ppm = -5, 23C */
    0xf69, /* index = 64, ppm = -5, 24C */
    0xf6d, /* index = 65, ppm = -4, 25C */
    0xf67, /* index = 66, ppm = -4, 26C */
    0xf66, /* index = 67, ppm = -4, 27C */
    0xf65, /* index = 68, ppm = -4, 28C */
    0xf64, /* index = 69, ppm = -4, 29C */
    0xf68, /* index = 70, ppm = -5, 30C */
    0xf59, /* index = 71, ppm = -5, 31C */
    0xf57, /* index = 72, ppm = -6, 32C */
    0xf54, /* index = 73, ppm = -6, 33C */
    0xf52, /* index = 74, ppm = -7, 34C */
    0xf5c, /* index = 75, ppm = -8, 35C */
    0xf47, /* index = 76, ppm = -8, 36C */
    0xf44, /* index = 77, ppm = -9, 37C */
    0xf40, /* index = 78, ppm = -10, 38C */
    0xf3d, /* index = 79, ppm = -11, 39C */
    0xf4b, /* index = 80, ppm = -12, 40C */
    0xf2d, /* index = 81, ppm = -13, 41C */
    0xf28, /* index = 82, ppm = -14, 42C */
    0xf23, /* index = 83, ppm = -15, 43C */
    0xf1e, /* index = 84, ppm = -16, 44C */
    0xf32, /* index = 85, ppm = -18, 45C */
    0xf09, /* index = 86, ppm = -19, 46C */
    0xf02, /* index = 87, ppm = -21, 47C */
    0xefb, /* index = 88, ppm = -22, 48C */
    0xef4, /* index = 89, ppm = -24, 49C */
    0xf10, /* index = 90, ppm = -26, 50C */
    0xe48, /* index = 91, ppm = -27, 51C */
    0xe27, /* index = 92, ppm = -29, 52C */
    0xe06, /* index = 93, ppm = -31, 53C */
    0xde5, /* index = 94, ppm = -33, 54C */
    0xe6a, /* index = 95, ppm = -35, 55C */
    0xe30, /* index = 96, ppm = -37, 56C */
    0xe26, /* index = 97, ppm = -39, 57C */
    0xe1d, /* index = 98, ppm = -42, 58C */
    0xe13, /* index = 99, ppm = -44, 59C */
    0xe3a, /* index = 100, ppm = -47, 60C */
    0xdf9, /* index = 101, ppm = -49, 61C */
    0xdee, /* index = 102, ppm = -51, 62C */
    0xde3, /* index = 103, ppm = -54, 63C */
    0xdd8, /* index = 104, ppm = -56, 64C */
    0xe04, /* index = 105, ppm = -59, 65C */
    0xd11, /* index = 106, ppm = -62, 66C */
    0xce9, /* index = 107, ppm = -66, 67C */
    0xcc0, /* index = 108, ppm = -69, 68C */
    0xc98, /* index = 109, ppm = -73, 69C */
    0xd3a, /* index = 110, ppm = -77, 70C */
    0xc48, /* index = 111, ppm = -37, 71C */
    0xc20, /* index = 112, ppm = -39, 72C */
    0xbf8, /* index = 113, ppm = -42, 73C */
    0xbd0, /* index = 114, ppm = -44, 74C */
    0xc71, /* index = 115, ppm = -95, 75C */
    0xc11, /* index = 116, ppm = -49, 76C */
    0xc01, /* index = 117, ppm = -51, 77C */
    0xbf1, /* index = 118, ppm = -54, 78C */
    0xbe1, /* index = 119, ppm = -56, 79C */
    0xc21, /* index = 120, ppm = -114, 80C */
    0xb2b, /* index = 121, ppm = -62, 81C */
    0xb02, /* index = 122, ppm = -66, 82C */
    0xad9, /* index = 123, ppm = -69, 83C */
    0xab0, /* index = 124, ppm = -73, 84C */
    0xb54, /* index = 125, ppm = -132, 85C */
};

const uint16_t temp_adc_max = 61991;
const uint16_t temp_adc_min = 8574;
/* temp adc values  */
const uint16_t adc_temp_ary[POWER_METERING_TEMP_COMP_ARRAY_SIZE] =
{
/*	val,  adc, temperature */
    8574, /* index = 0, 85C */
    8755, /* index = 1, 84C */
    8937, /* index = 2, 83C */
    9118, /* index = 3, 82C */
    9300, /* index = 4, 81C */
    9481, /* index = 5, 80C */
    9723, /* index = 6, 79C */
    9965, /* index = 7, 78C */
    10206, /* index = 8, 77C */
    10448, /* index = 9, 76C */
    10690, /* index = 10, 75C */
    10962, /* index = 11, 74C */
    11234, /* index = 12, 73C */
    11506, /* index = 13, 72C */
    11778, /* index = 14, 71C */
    12050, /* index = 15, 70C */
    12410, /* index = 16, 69C */
    12769, /* index = 17, 68C */
    13129, /* index = 18, 67C */
    13488, /* index = 19, 66C */
    13848, /* index = 20, 65C */
    14176, /* index = 21, 64C */
    14504, /* index = 22, 63C */
    14831, /* index = 23, 62C */
    15159, /* index = 24, 61C */
    15487, /* index = 25, 60C */
    15880, /* index = 26, 59C */
    16272, /* index = 27, 58C */
    16665, /* index = 28, 57C */
    17057, /* index = 29, 56C */
    17450, /* index = 30, 55C */
    17860, /* index = 31, 54C */
    18269, /* index = 32, 53C */
    18679, /* index = 33, 52C */
    19088, /* index = 34, 51C */
    19498, /* index = 35, 50C */
    19959, /* index = 36, 49C */
    20421, /* index = 37, 48C */
    20882, /* index = 38, 47C */
    21344, /* index = 39, 46C */
    21805, /* index = 40, 45C */
    22306, /* index = 41, 44C */
    22807, /* index = 42, 43C */
    23307, /* index = 43, 42C */
    23808, /* index = 44, 41C */
    24309, /* index = 45, 40C */
    24840, /* index = 46, 39C */
    25370, /* index = 47, 38C */
    25901, /* index = 48, 37C */
    26431, /* index = 49, 36C */
    26962, /* index = 50, 35C */
    27516, /* index = 51, 34C */
    28070, /* index = 52, 33C */
    28624, /* index = 53, 32C */
    29178, /* index = 54, 31C */
    29732, /* index = 55, 30C */
    30324, /* index = 56, 29C */
    30916, /* index = 57, 28C */
    31508, /* index = 58, 27C */
    32100, /* index = 59, 26C */
    32692, /* index = 60, 25C */
    33298, /* index = 61, 24C */
    33903, /* index = 62, 23C */
    34509, /* index = 63, 22C */
    35114, /* index = 64, 21C */
    35720, /* index = 65, 20C */
    36341, /* index = 66, 19C */
    36962, /* index = 67, 18C */
    37583, /* index = 68, 17C */
    38204, /* index = 69, 16C */
    38825, /* index = 70, 15C */
    39434, /* index = 71, 14C */
    40042, /* index = 72, 13C */
    40651, /* index = 73, 12C */
    41259, /* index = 74, 11C */
    41868, /* index = 75, 10C */
    42458, /* index = 76, 9C */
    43048, /* index = 77, 8C */
    43637, /* index = 78, 7C */
    44227, /* index = 79, 6C */
    44817, /* index = 80, 5C */
    42458, /* index = 81, 4C */
    45946, /* index = 82, 3C */
    46510, /* index = 83, 2C */
    47075, /* index = 84, 1C */
    47639, /* index = 85, 0C */
    48168, /* index = 86, -1C */
    48697, /* index = 87, -2C */
    49226, /* index = 88, -3C */
    49755, /* index = 89, -4C */
    50284, /* index = 90, -5C */
    50762, /* index = 91, -6C */
    51240, /* index = 92, -7C */
    51717, /* index = 93, -8C */
    52195, /* index = 94, -9C */
    52673, /* index = 95, -10C */
    53121, /* index = 96, -11C */
    53569, /* index = 97, -12C */
    54018, /* index = 98, -13C */
    54466, /* index = 99, -14C */
    54914, /* index = 100, -15C */
    55298, /* index = 101, -16C */
    55683, /* index = 102, -17C */
    56067, /* index = 103, -18C */
    56452, /* index = 104, -19C */
    56836, /* index = 105, -20C */
    57174, /* index = 106, -21C */
    57511, /* index = 107, -22C */
    57849, /* index = 108, -23C */
    58186, /* index = 109, -24C */
    58524, /* index = 110, -25C */
    58805, /* index = 111, -26C */
    59085, /* index = 112, -27C */
    59366, /* index = 113, -28C */
    59646, /* index = 114, -29C */
    59927, /* index = 115, -30C */
    60155, /* index = 116, -31C */
    60383, /* index = 117, -32C */
    60611, /* index = 118, -33C */
    60839, /* index = 119, -34C */
    61067, /* index = 120, -35C */
    61252, /* index = 121, -36C */
    61437, /* index = 122, -37C */
    61621, /* index = 123, -38C */
    61806, /* index = 124, -39C */
    61991  /* index = 125, -40C */
};