/* File:	rtc_comp_table.c */ 

#include <stdint.h>

/* int = rtc_comp[temp + 40] >> 8
 frac = rtc_comp[temp + 40] & 0xff */
const uint16_t rtc_comp[111] = {
	0xb52, /* index = 0, ppm = -139, -40C */
	0xb7b, /* index = 1, ppm = -135, -39C */
	0xba4, /* index = 2, ppm = -131, -38C */
	0xbcd, /* index = 3, ppm = -127, -37C */
	0xbf6, /* index = 4, ppm = -123, -36C */
	0xc21, /* index = 5, ppm = -119, -35C */
	0xc2e, /* index = 6, ppm = -116, -34C */
	0xc3b, /* index = 7, ppm = -112, -33C */
	0xc48, /* index = 8, ppm = -108, -32C */
	0xc55, /* index = 9, ppm = -104, -31C */
	0xc66, /* index = 10, ppm = -100, -30C */
	0xc8c, /* index = 11, ppm = -97, -29C */
	0xcb2, /* index = 12, ppm = -94, -28C */
	0xcd8, /* index = 13, ppm = -91, -27C */
	0xcfe, /* index = 14, ppm = -88, -26C */
	0xd28, /* index = 15, ppm = -84, -25C */
	0xd34, /* index = 16, ppm = -81, -24C */
	0xd40, /* index = 17, ppm = -78, -23C */
	0xd4c, /* index = 18, ppm = -75, -22C */
	0xd58, /* index = 19, ppm = -72, -21C */
	0xd65, /* index = 20, ppm = -69, -20C */
	0xd89, /* index = 21, ppm = -67, -19C */
	0xdad, /* index = 22, ppm = -64, -18C */
	0xdd1, /* index = 23, ppm = -61, -17C */
	0xdf5, /* index = 24, ppm = -58, -16C */
	0xe1d, /* index = 25, ppm = -55, -15C */
	0xe27, /* index = 26, ppm = -53, -14C */
	0xe31, /* index = 27, ppm = -51, -13C */
	0xe3b, /* index = 28, ppm = -48, -12C */
	0xe45, /* index = 29, ppm = -46, -11C */
	0xe4f, /* index = 30, ppm = -43, -10C */
	0xe57, /* index = 31, ppm = -41, -9C */
	0xe5f, /* index = 32, ppm = -39, -8C */
	0xe67, /* index = 33, ppm = -37, -7C */
	0xe6f, /* index = 34, ppm = -35, -6C */
	0xe79, /* index = 35, ppm = -32, -5C */
	0xe99, /* index = 36, ppm = -31, -4C */
	0xeb9, /* index = 37, ppm = -29, -3C */
	0xed9, /* index = 38, ppm = -27, -2C */
	0xef9, /* index = 39, ppm = -25, -1C */
	0xf1c, /* index = 40, ppm = -23, 0C */
	0xf22, /* index = 41, ppm = -22, 1C */
	0xf28, /* index = 42, ppm = -20, 2C */
	0xf2e, /* index = 43, ppm = -19, 3C */
	0xf34, /* index = 44, ppm = -17, 4C */
	0xf3a, /* index = 45, ppm = -15, 5C */
	0xf3e, /* index = 46, ppm = -14, 6C */
	0xf42, /* index = 47, ppm = -13, 7C */
	0xf46, /* index = 48, ppm = -12, 8C */
	0xf4a, /* index = 49, ppm = -11, 9C */
	0xf4f, /* index = 50, ppm = -9, 10C */
	0xf52, /* index = 51, ppm = -8, 11C */
	0xf55, /* index = 52, ppm = -7, 12C */
	0xf58, /* index = 53, ppm = -6, 13C */
	0xf5b, /* index = 54, ppm = -5, 14C */
	0xf60, /* index = 55, ppm = -4, 15C */
	0xf62, /* index = 56, ppm = -4, 16C */
	0xf64, /* index = 57, ppm = -3, 17C */
	0xf65, /* index = 58, ppm = -3, 18C */
	0xf67, /* index = 59, ppm = -2, 19C */
	0xf68, /* index = 60, ppm = -1, 20C */
	0xf69, /* index = 61, ppm = -1, 21C */
	0xf6a, /* index = 62, ppm = -1, 22C */
	0xf6b, /* index = 63, ppm = -1, 23C */
	0xf6c, /* index = 64, ppm = -1, 24C */
	0xf6d, /* index = 65, ppm = 0, 25C */
	0xf6c, /* index = 66, ppm = 0, 26C */
	0xf6a, /* index = 67, ppm = 0, 27C */
	0xf68, /* index = 68, ppm = 0, 28C */
	0xf67, /* index = 69, ppm = 0, 29C */
	0xf65, /* index = 70, ppm = 0, 30C */
	0xf64, /* index = 71, ppm = 0, 31C */
	0xf62, /* index = 72, ppm = 0, 32C */
	0xf60, /* index = 73, ppm = 0, 33C */
	0xf5e, /* index = 74, ppm = 0, 34C */
	0xf5c, /* index = 75, ppm = 0, 35C */
	0xf58, /* index = 76, ppm = 0, 36C */
	0xf53, /* index = 77, ppm = -1, 37C */
	0xf4d, /* index = 78, ppm = -1, 38C */
	0xf48, /* index = 79, ppm = -2, 39C */
	0xf43, /* index = 80, ppm = -3, 40C */
	0xf3e, /* index = 81, ppm = -4, 41C */
	0xf3a, /* index = 82, ppm = -5, 42C */
	0xf36, /* index = 83, ppm = -6, 43C */
	0xf32, /* index = 84, ppm = -7, 44C */
	0xf2e, /* index = 85, ppm = -8, 45C */
	0xf28, /* index = 86, ppm = -9, 46C */
	0xf21, /* index = 87, ppm = -10, 47C */
	0xf1a, /* index = 88, ppm = -12, 48C */
	0xf13, /* index = 89, ppm = -13, 49C */
	0xf0c, /* index = 90, ppm = -15, 50C */
	0xee9, /* index = 91, ppm = -16, 51C */
	0xec7, /* index = 92, ppm = -18, 52C */
	0xea5, /* index = 93, ppm = -19, 53C */
	0xe83, /* index = 94, ppm = -21, 54C */
	0xe61, /* index = 95, ppm = -23, 55C */
	0xe56, /* index = 96, ppm = -25, 56C */
	0xe4d, /* index = 97, ppm = -27, 57C */
	0xe44, /* index = 98, ppm = -29, 58C */
	0xe3b, /* index = 99, ppm = -31, 59C */
	0xe32, /* index = 100, ppm = -34, 60C */
	0xe0d, /* index = 101, ppm = -36, 61C */
	0xde7, /* index = 102, ppm = -38, 62C */
	0xdc1, /* index = 103, ppm = -40, 63C */
	0xd9b, /* index = 104, ppm = -42, 64C */
	0xd75, /* index = 105, ppm = -45, 65C */
	0xd6d, /* index = 106, ppm = -47, 66C */
	0xd63, /* index = 107, ppm = -50, 67C */
	0xd59, /* index = 108, ppm = -53, 68C */
	0xd4f, /* index = 109, ppm = -56, 69C */
	0xd45, /* index = 110, ppm = -59, 70C */
};


const uint16_t temp_adc_max = 61895;
const uint16_t temp_adc_min = 12070;
/* temp adc values  */
const uint16_t adc_temp_ary[111] = {
/*	val,  adc, temperature */
	12070, /* index = 0, 70C */
	12330, /* index = 1, 69C */
	12590, /* index = 2, 68C */
	12850, /* index = 3, 67C */
	13110, /* index = 4, 66C */
	13370, /* index = 5, 65C */
	13750, /* index = 6, 64C */
	14130, /* index = 7, 63C */
	14510, /* index = 8, 62C */
	14890, /* index = 9, 61C */
	15270, /* index = 10, 60C */
	15643, /* index = 11, 59C */
	16016, /* index = 12, 58C */
	16389, /* index = 13, 57C */
	16762, /* index = 14, 56C */
	17135, /* index = 15, 55C */
	17554, /* index = 16, 54C */
	17972, /* index = 17, 53C */
	18390, /* index = 18, 52C */
	18808, /* index = 19, 51C */
	19226, /* index = 20, 50C */
	19652, /* index = 21, 49C */
	20078, /* index = 22, 48C */
	20504, /* index = 23, 47C */
	20930, /* index = 24, 46C */
	21355, /* index = 25, 45C */
	21898, /* index = 26, 44C */
	22441, /* index = 27, 43C */
	22984, /* index = 28, 42C */
	23527, /* index = 29, 41C */
	24070, /* index = 30, 40C */
	24598, /* index = 31, 39C */
	25126, /* index = 32, 38C */
	25654, /* index = 33, 37C */
	26182, /* index = 34, 36C */
	26710, /* index = 35, 35C */
	27243, /* index = 36, 34C */
	27776, /* index = 37, 33C */
	28309, /* index = 38, 32C */
	28842, /* index = 39, 31C */
	29375, /* index = 40, 30C */
	29971, /* index = 41, 29C */
	30567, /* index = 42, 28C */
	31163, /* index = 43, 27C */
	31759, /* index = 44, 26C */
	32355, /* index = 45, 25C */
	32960, /* index = 46, 24C */
	33565, /* index = 47, 23C */
	34170, /* index = 48, 22C */
	34775, /* index = 49, 21C */
	35380, /* index = 50, 20C */
	36002, /* index = 51, 19C */
	36623, /* index = 52, 18C */
	37245, /* index = 53, 17C */
	37866, /* index = 54, 16C */
	38487, /* index = 55, 15C */
	39098, /* index = 56, 14C */
	39708, /* index = 57, 13C */
	40318, /* index = 58, 12C */
	40928, /* index = 59, 11C */
	41538, /* index = 60, 10C */
	42138, /* index = 61, 9C */
	42737, /* index = 62, 8C */
	43337, /* index = 63, 7C */
	43936, /* index = 64, 6C */
	44535, /* index = 65, 5C */
	45109, /* index = 66, 4C */
	45683, /* index = 67, 3C */
	46256, /* index = 68, 2C */
	46830, /* index = 69, 1C */
	47403, /* index = 70, 0C */
	47937, /* index = 71, -1C */
	48470, /* index = 72, -2C */
	49004, /* index = 73, -3C */
	49537, /* index = 74, -4C */
	50070, /* index = 75, -5C */
	50557, /* index = 76, -6C */
	51044, /* index = 77, -7C */
	51531, /* index = 78, -8C */
	52018, /* index = 79, -9C */
	52504, /* index = 80, -10C */
	52942, /* index = 81, -11C */
	53379, /* index = 82, -12C */
	53816, /* index = 83, -13C */
	54253, /* index = 84, -14C */
	54690, /* index = 85, -15C */
	55076, /* index = 86, -16C */
	55462, /* index = 87, -17C */
	55848, /* index = 88, -18C */
	56234, /* index = 89, -19C */
	56619, /* index = 90, -20C */
	56957, /* index = 91, -21C */
	57294, /* index = 92, -22C */
	57631, /* index = 93, -23C */
	57968, /* index = 94, -24C */
	58305, /* index = 95, -25C */
	58591, /* index = 96, -26C */
	58876, /* index = 97, -27C */
	59162, /* index = 98, -28C */
	59447, /* index = 99, -29C */
	59732, /* index = 100, -30C */
	59971, /* index = 101, -31C */
	60209, /* index = 102, -32C */
	60448, /* index = 103, -33C */
	60686, /* index = 104, -34C */
	60924, /* index = 105, -35C */
	61119, /* index = 106, -36C */
	61313, /* index = 107, -37C */
	61507, /* index = 108, -38C */
	61701, /* index = 109, -39C */
	61895, /* index = 110, -40C */
};

uint8_t vref_k = 40;
uint32_t vref_offset = 2000;
