/* File:	rtc_comp_table.c */ 

#include <stdint.h>

/* int = rtc_comp[temp + 40] >> 8
 frac = rtc_comp[temp + 40] & 0xff */
const uint16_t rtc_comp[111] = {
	0xb58, /* index = 0, ppm = -139, -40C */
	0xc5d, /* index = 1, ppm = -135, -39C */
	0xbd3, /* index = 2, ppm = -131, -38C */
	0xbaa, /* index = 3, ppm = -127, -37C */
	0xb81, /* index = 4, ppm = -123, -36C */
	0xc25, /* index = 5, ppm = -119, -35C */
	0xc5d, /* index = 6, ppm = -116, -34C */
	0xc4f, /* index = 7, ppm = -112, -33C */
	0xc41, /* index = 8, ppm = -108, -32C */
	0xc33, /* index = 9, ppm = -104, -31C */
	0xc6b, /* index = 10, ppm = -100, -30C */
	0xd07, /* index = 11, ppm = -97, -29C */
	0xce0, /* index = 12, ppm = -94, -28C */
	0xcb9, /* index = 13, ppm = -91, -27C */
	0xc92, /* index = 14, ppm = -88, -26C */
	0xd2e, /* index = 15, ppm = -84, -25C */
	0xd5f, /* index = 16, ppm = -81, -24C */
	0xd53, /* index = 17, ppm = -78, -23C */
	0xd46, /* index = 18, ppm = -75, -22C */
	0xd3a, /* index = 19, ppm = -72, -21C */
	0xd6c, /* index = 20, ppm = -69, -20C */
	0xdfe, /* index = 21, ppm = -67, -19C */
	0xdd9, /* index = 22, ppm = -64, -18C */
	0xdb5, /* index = 23, ppm = -61, -17C */
	0xd90, /* index = 24, ppm = -58, -16C */
	0xe23, /* index = 25, ppm = -55, -15C */
	0xe47, /* index = 26, ppm = -53, -14C */
	0xe3e, /* index = 27, ppm = -51, -13C */
	0xe35, /* index = 28, ppm = -48, -12C */
	0xe2c, /* index = 29, ppm = -46, -11C */
	0xe50, /* index = 30, ppm = -43, -10C */
	0xe73, /* index = 31, ppm = -41, -9C */
	0xe6a, /* index = 32, ppm = -39, -8C */
	0xe61, /* index = 33, ppm = -37, -7C */
	0xe58, /* index = 34, ppm = -35, -6C */
	0xe7c, /* index = 35, ppm = -32, -5C */
	0xf00, /* index = 36, ppm = -31, -4C */
	0xedf, /* index = 37, ppm = -29, -3C */
	0xebe, /* index = 38, ppm = -27, -2C */
	0xe9d, /* index = 39, ppm = -25, -1C */
	0xf21, /* index = 40, ppm = -23, 0C */
	0xf39, /* index = 41, ppm = -22, 1C */
	0xf33, /* index = 42, ppm = -20, 2C */
	0xf2d, /* index = 43, ppm = -19, 3C */
	0xf27, /* index = 44, ppm = -17, 4C */
	0xf3f, /* index = 45, ppm = -15, 5C */
	0xf51, /* index = 46, ppm = -14, 6C */
	0xf4c, /* index = 47, ppm = -13, 7C */
	0xf48, /* index = 48, ppm = -12, 8C */
	0xf43, /* index = 49, ppm = -11, 9C */
	0xf56, /* index = 50, ppm = -9, 10C */
	0xf63, /* index = 51, ppm = -8, 11C */
	0xf60, /* index = 52, ppm = -7, 12C */
	0xf5c, /* index = 53, ppm = -6, 13C */
	0xf59, /* index = 54, ppm = -5, 14C */
	0xf67, /* index = 55, ppm = -4, 15C */
	0xf6f, /* index = 56, ppm = -4, 16C */
	0xf6d, /* index = 57, ppm = -3, 17C */
	0xf6b, /* index = 58, ppm = -3, 18C */
	0xf69, /* index = 59, ppm = -2, 19C */
	0xf71, /* index = 60, ppm = -1, 20C */
	0xf73, /* index = 61, ppm = -1, 21C */
	0xf72, /* index = 62, ppm = -1, 22C */
	0xf72, /* index = 63, ppm = -1, 23C */
	0xf71, /* index = 64, ppm = -1, 24C */
	0xf74, /* index = 65, ppm = 0, 25C */
	0xf6f, /* index = 66, ppm = 0, 26C */
	0xf6e, /* index = 67, ppm = 0, 27C */
	0xf6d, /* index = 68, ppm = 0, 28C */
	0xf6c, /* index = 69, ppm = 0, 29C */
	0xf70, /* index = 70, ppm = 0, 30C */
	0xf61, /* index = 71, ppm = 0, 31C */
	0xf5f, /* index = 72, ppm = 0, 32C */
	0xf5c, /* index = 73, ppm = 0, 33C */
	0xf5a, /* index = 74, ppm = 0, 34C */
	0xf64, /* index = 75, ppm = 0, 35C */
	0xf4f, /* index = 76, ppm = 0, 36C */
	0xf4c, /* index = 77, ppm = -1, 37C */
	0xf48, /* index = 78, ppm = -1, 38C */
	0xf45, /* index = 79, ppm = -2, 39C */
	0xf53, /* index = 80, ppm = -3, 40C */
	0xf33, /* index = 81, ppm = -4, 41C */
	0xf2e, /* index = 82, ppm = -5, 42C */
	0xf29, /* index = 83, ppm = -6, 43C */
	0xf24, /* index = 84, ppm = -7, 44C */
	0xf39, /* index = 85, ppm = -8, 45C */
	0xf12, /* index = 86, ppm = -9, 46C */
	0xf0c, /* index = 87, ppm = -10, 47C */
	0xf05, /* index = 88, ppm = -12, 48C */
	0xeff, /* index = 89, ppm = -13, 49C */
	0xf19, /* index = 90, ppm = -15, 50C */
	0xe4f, /* index = 91, ppm = -16, 51C */
	0xe2d, /* index = 92, ppm = -18, 52C */
	0xe0c, /* index = 93, ppm = -19, 53C */
	0xdea, /* index = 94, ppm = -21, 54C */
	0xe71, /* index = 95, ppm = -23, 55C */
	0xe36, /* index = 96, ppm = -25, 56C */
	0xe2c, /* index = 97, ppm = -27, 57C */
	0xe22, /* index = 98, ppm = -29, 58C */
	0xe18, /* index = 99, ppm = -31, 59C */
	0xe40, /* index = 100, ppm = -34, 60C */
	0xdfc, /* index = 101, ppm = -36, 61C */
	0xdf1, /* index = 102, ppm = -38, 62C */
	0xde6, /* index = 103, ppm = -40, 63C */
	0xddb, /* index = 104, ppm = -42, 64C */
	0xe08, /* index = 105, ppm = -45, 65C */
	0xd24, /* index = 106, ppm = -47, 66C */
	0xcfe, /* index = 107, ppm = -50, 67C */
	0xcd8, /* index = 108, ppm = -53, 68C */
	0xcb2, /* index = 109, ppm = -56, 69C */
	0xf71, /* index = 110, ppm = -59, 70C */
};


const uint16_t temp_adc_max = 61895;
const uint16_t temp_adc_min = 12070;
/* temp adc values  */
const uint16_t adc_temp_ary[111] = {
/*	val,  adc, temperature */
	12297, /* index = 0, 70C */
	12604, /* index = 1, 69C */
	12910, /* index = 2, 68C */
	13217, /* index = 3, 67C */
	13523, /* index = 4, 66C */
	13830, /* index = 5, 65C */
	14177, /* index = 6, 64C */
	14523, /* index = 7, 63C */
	14870, /* index = 8, 62C */
	15216, /* index = 9, 61C */
	15563, /* index = 10, 60C */
	15955, /* index = 11, 59C */
	16347, /* index = 12, 58C */
	16739, /* index = 13, 57C */
	17131, /* index = 14, 56C */
	17523, /* index = 15, 55C */
	17942, /* index = 16, 54C */
	18361, /* index = 17, 53C */
	18781, /* index = 18, 52C */
	19200, /* index = 19, 51C */
	19619, /* index = 20, 50C */
	20095, /* index = 21, 49C */
	20570, /* index = 22, 48C */
	21046, /* index = 23, 47C */
	21521, /* index = 24, 46C */
	21997, /* index = 25, 45C */
	22486, /* index = 26, 44C */
	22974, /* index = 27, 43C */
	23463, /* index = 28, 42C */
	23951, /* index = 29, 41C */
	24440, /* index = 30, 40C */
	24959, /* index = 31, 39C */
	25478, /* index = 32, 38C */
	25996, /* index = 33, 37C */
	26515, /* index = 34, 36C */
	27034, /* index = 35, 35C */
	27587, /* index = 36, 34C */
	28140, /* index = 37, 33C */
	28693, /* index = 38, 32C */
	29246, /* index = 39, 31C */
	29799, /* index = 40, 30C */
	30380, /* index = 41, 29C */
	30961, /* index = 42, 28C */
	31542, /* index = 43, 27C */
	32123, /* index = 44, 26C */
	32704, /* index = 45, 25C */
	33316, /* index = 46, 24C */
	33927, /* index = 47, 23C */
	34539, /* index = 48, 22C */
	35150, /* index = 49, 21C */
	35762, /* index = 50, 20C */
	36382, /* index = 51, 19C */
	37001, /* index = 52, 18C */
	37621, /* index = 53, 17C */
	38240, /* index = 54, 16C */
	38860, /* index = 55, 15C */
	39474, /* index = 56, 14C */
	40087, /* index = 57, 13C */
	40701, /* index = 58, 12C */
	41314, /* index = 59, 11C */
	41928, /* index = 60, 10C */
	42526, /* index = 61, 9C */
	43124, /* index = 62, 8C */
	43721, /* index = 63, 7C */
	44319, /* index = 64, 6C */
	44917, /* index = 65, 5C */
	42526, /* index = 66, 4C */
	46039, /* index = 67, 3C */
	46599, /* index = 68, 2C */
	47160, /* index = 69, 1C */
	47721, /* index = 70, 0C */
	48244, /* index = 71, -1C */
	48767, /* index = 72, -2C */
	49290, /* index = 73, -3C */
	49813, /* index = 74, -4C */
	50336, /* index = 75, -5C */
	50830, /* index = 76, -6C */
	51325, /* index = 77, -7C */
	51819, /* index = 78, -8C */
	52314, /* index = 79, -9C */
	52808, /* index = 80, -10C */
	53244, /* index = 81, -11C */
	53680, /* index = 82, -12C */
	54115, /* index = 83, -13C */
	54551, /* index = 84, -14C */
	54987, /* index = 85, -15C */
	55368, /* index = 86, -16C */
	55750, /* index = 87, -17C */
	56131, /* index = 88, -18C */
	56513, /* index = 89, -19C */
	56894, /* index = 90, -20C */
	57228, /* index = 91, -21C */
	57562, /* index = 92, -22C */
	57897, /* index = 93, -23C */
	58231, /* index = 94, -24C */
	58565, /* index = 95, -25C */
	58847, /* index = 96, -26C */
	59128, /* index = 97, -27C */
	59410, /* index = 98, -28C */
	59691, /* index = 99, -29C */
	59973, /* index = 100, -30C */
	60205, /* index = 101, -31C */
	60437, /* index = 102, -32C */
	60670, /* index = 103, -33C */
	60902, /* index = 104, -34C */
	61134, /* index = 105, -35C */
	61328, /* index = 106, -36C */
	61522, /* index = 107, -37C */
	61717, /* index = 108, -38C */
	61911, /* index = 109, -39C */
	62105, /* index = 110, -40C */
};

uint8_t vref_k = 40;
uint32_t vref_offset = 2000;
