/* File:	rtc_comp_table.c */ 

#include <stdint.h>

/* int = rtc_comp[temp + 40] >> 8
 frac = rtc_comp[temp + 40] & 0xff */
const uint16_t rtc_comp[111] = {
	0xb3d, /* index = 0, ppm = -139, -40C */
	0xc45, /* index = 1, ppm = -135, -39C */
	0xbb8, /* index = 2, ppm = -131, -38C */
	0xb8f, /* index = 3, ppm = -127, -37C */
	0xb66, /* index = 4, ppm = -123, -36C */
	0xc0b, /* index = 5, ppm = -119, -35C */
	0xc45, /* index = 6, ppm = -116, -34C */
	0xc36, /* index = 7, ppm = -112, -33C */
	0xc28, /* index = 8, ppm = -108, -32C */
	0xc19, /* index = 9, ppm = -104, -31C */
	0xc54, /* index = 10, ppm = -100, -30C */
	0xcf0, /* index = 11, ppm = -97, -29C */
	0xcc9, /* index = 12, ppm = -94, -28C */
	0xca2, /* index = 13, ppm = -91, -27C */
	0xc7b, /* index = 14, ppm = -88, -26C */
	0xd18, /* index = 15, ppm = -84, -25C */
	0xd49, /* index = 16, ppm = -81, -24C */
	0xd3d, /* index = 17, ppm = -78, -23C */
	0xd30, /* index = 18, ppm = -75, -22C */
	0xd24, /* index = 19, ppm = -72, -21C */
	0xd56, /* index = 20, ppm = -69, -20C */
	0xde8, /* index = 21, ppm = -67, -19C */
	0xdc3, /* index = 22, ppm = -64, -18C */
	0xd9f, /* index = 23, ppm = -61, -17C */
	0xd7a, /* index = 24, ppm = -58, -16C */
	0xe0d, /* index = 25, ppm = -55, -15C */
	0xe35, /* index = 26, ppm = -53, -14C */
	0xe2b, /* index = 27, ppm = -51, -13C */
	0xe21, /* index = 28, ppm = -48, -12C */
	0xe17, /* index = 29, ppm = -46, -11C */
	0xe3f, /* index = 30, ppm = -43, -10C */
	0xe61, /* index = 31, ppm = -41, -9C */
	0xe58, /* index = 32, ppm = -39, -8C */
	0xe50, /* index = 33, ppm = -37, -7C */
	0xe47, /* index = 34, ppm = -35, -6C */
	0xe6a, /* index = 35, ppm = -32, -5C */
	0xeee, /* index = 36, ppm = -31, -4C */
	0xecd, /* index = 37, ppm = -29, -3C */
	0xeac, /* index = 38, ppm = -27, -2C */
	0xe8b, /* index = 39, ppm = -25, -1C */
	0xf0f, /* index = 40, ppm = -23, 0C */
	0xf29, /* index = 41, ppm = -22, 1C */
	0xf22, /* index = 42, ppm = -20, 2C */
	0xf1c, /* index = 43, ppm = -19, 3C */
	0xf15, /* index = 44, ppm = -17, 4C */
	0xf30, /* index = 45, ppm = -15, 5C */
	0xf40, /* index = 46, ppm = -14, 6C */
	0xf3c, /* index = 47, ppm = -13, 7C */
	0xf38, /* index = 48, ppm = -12, 8C */
	0xf34, /* index = 49, ppm = -11, 9C */
	0xf44, /* index = 50, ppm = -9, 10C */
	0xf51, /* index = 51, ppm = -8, 11C */
	0xf4e, /* index = 52, ppm = -7, 12C */
	0xf4a, /* index = 53, ppm = -6, 13C */
	0xf47, /* index = 54, ppm = -5, 14C */
	0xf55, /* index = 55, ppm = -4, 15C */
	0xf5d, /* index = 56, ppm = -4, 16C */
	0xf5b, /* index = 57, ppm = -3, 17C */
	0xf59, /* index = 58, ppm = -3, 18C */
	0xf57, /* index = 59, ppm = -2, 19C */
	0xf60, /* index = 60, ppm = -1, 20C */
	0xf61, /* index = 61, ppm = -1, 21C */
	0xf61, /* index = 62, ppm = -1, 22C */
	0xf60, /* index = 63, ppm = -1, 23C */
	0xf60, /* index = 64, ppm = -1, 24C */
	0xf62, /* index = 65, ppm = 0, 25C */
	0xf5d, /* index = 66, ppm = 0, 26C */
	0xf5c, /* index = 67, ppm = 0, 27C */
	0xf5b, /* index = 68, ppm = 0, 28C */
	0xf5a, /* index = 69, ppm = 0, 29C */
	0xf5e, /* index = 70, ppm = 0, 30C */
	0xf4f, /* index = 71, ppm = 0, 31C */
	0xf4d, /* index = 72, ppm = 0, 32C */
	0xf4a, /* index = 73, ppm = 0, 33C */
	0xf48, /* index = 74, ppm = 0, 34C */
	0xf52, /* index = 75, ppm = 0, 35C */
	0xf3d, /* index = 76, ppm = 0, 36C */
	0xf3a, /* index = 77, ppm = -1, 37C */
	0xf36, /* index = 78, ppm = -1, 38C */
	0xf33, /* index = 79, ppm = -2, 39C */
	0xf41, /* index = 80, ppm = -3, 40C */
	0xf21, /* index = 81, ppm = -4, 41C */
	0xf1c, /* index = 82, ppm = -5, 42C */
	0xf17, /* index = 83, ppm = -6, 43C */
	0xf12, /* index = 84, ppm = -7, 44C */
	0xf27, /* index = 85, ppm = -8, 45C */
	0xf00, /* index = 86, ppm = -9, 46C */
	0xefa, /* index = 87, ppm = -10, 47C */
	0xef3, /* index = 88, ppm = -12, 48C */
	0xeed, /* index = 89, ppm = -13, 49C */
	0xf07, /* index = 90, ppm = -15, 50C */
	0xe3b, /* index = 91, ppm = -16, 51C */
	0xe19, /* index = 92, ppm = -18, 52C */
	0xdf7, /* index = 93, ppm = -19, 53C */
	0xdd5, /* index = 94, ppm = -21, 54C */
	0xe5d, /* index = 95, ppm = -23, 55C */
	0xe24, /* index = 96, ppm = -25, 56C */
	0xe1b, /* index = 97, ppm = -27, 57C */
	0xe11, /* index = 98, ppm = -29, 58C */
	0xe08, /* index = 99, ppm = -31, 59C */
	0xe2e, /* index = 100, ppm = -34, 60C */
	0xd51, /* index = 101, ppm = -36, 61C */
	0xd2c, /* index = 102, ppm = -38, 62C */
	0xd07, /* index = 103, ppm = -40, 63C */
	0xce2, /* index = 104, ppm = -42, 64C */
	0xd76, /* index = 105, ppm = -45, 65C */
	0xd29, /* index = 106, ppm = -47, 66C */
	0xd1c, /* index = 107, ppm = -50, 67C */
	0xd0f, /* index = 108, ppm = -53, 68C */
	0xd02, /* index = 109, ppm = -56, 69C */
	0xf60, /* index = 110, ppm = -59, 70C */
};


const uint16_t temp_adc_max = 61895;
const uint16_t temp_adc_min = 12070;
/* temp adc values  */
const uint16_t adc_temp_ary[111] = {
/*	val,  adc, temperature */
	12211, /* index = 0, 70C */
	12517, /* index = 1, 69C */
	12823, /* index = 2, 68C */
	13129, /* index = 3, 67C */
	13435, /* index = 4, 66C */
	13741, /* index = 5, 65C */
	14081, /* index = 6, 64C */
	14422, /* index = 7, 63C */
	14762, /* index = 8, 62C */
	15103, /* index = 9, 61C */
	15443, /* index = 10, 60C */
	15821, /* index = 11, 59C */
	16200, /* index = 12, 58C */
	16578, /* index = 13, 57C */
	16957, /* index = 14, 56C */
	17335, /* index = 15, 55C */
	17761, /* index = 16, 54C */
	18187, /* index = 17, 53C */
	18612, /* index = 18, 52C */
	19038, /* index = 19, 51C */
	19464, /* index = 20, 50C */
	19923, /* index = 21, 49C */
	20383, /* index = 22, 48C */
	20842, /* index = 23, 47C */
	21302, /* index = 24, 46C */
	21761, /* index = 25, 45C */
	22276, /* index = 26, 44C */
	22790, /* index = 27, 43C */
	23305, /* index = 28, 42C */
	23819, /* index = 29, 41C */
	24334, /* index = 30, 40C */
	24858, /* index = 31, 39C */
	25383, /* index = 32, 38C */
	25907, /* index = 33, 37C */
	26432, /* index = 34, 36C */
	26956, /* index = 35, 35C */
	27496, /* index = 36, 34C */
	28036, /* index = 37, 33C */
	28575, /* index = 38, 32C */
	29115, /* index = 39, 31C */
	29655, /* index = 40, 30C */
	30231, /* index = 41, 29C */
	30807, /* index = 42, 28C */
	31384, /* index = 43, 27C */
	31960, /* index = 44, 26C */
	32536, /* index = 45, 25C */
	33144, /* index = 46, 24C */
	33751, /* index = 47, 23C */
	34359, /* index = 48, 22C */
	34966, /* index = 49, 21C */
	35574, /* index = 50, 20C */
	36194, /* index = 51, 19C */
	36814, /* index = 52, 18C */
	37434, /* index = 53, 17C */
	38054, /* index = 54, 16C */
	38674, /* index = 55, 15C */
	39285, /* index = 56, 14C */
	39896, /* index = 57, 13C */
	40506, /* index = 58, 12C */
	41117, /* index = 59, 11C */
	41728, /* index = 60, 10C */
	42321, /* index = 61, 9C */
	42913, /* index = 62, 8C */
	43506, /* index = 63, 7C */
	44098, /* index = 64, 6C */
	44691, /* index = 65, 5C */
	42321, /* index = 66, 4C */
	45830, /* index = 67, 3C */
	46400, /* index = 68, 2C */
	46969, /* index = 69, 1C */
	47539, /* index = 70, 0C */
	48076, /* index = 71, -1C */
	48613, /* index = 72, -2C */
	49151, /* index = 73, -3C */
	49688, /* index = 74, -4C */
	50225, /* index = 75, -5C */
	50711, /* index = 76, -6C */
	51197, /* index = 77, -7C */
	51683, /* index = 78, -8C */
	52169, /* index = 79, -9C */
	52655, /* index = 80, -10C */
	53095, /* index = 81, -11C */
	53534, /* index = 82, -12C */
	53974, /* index = 83, -13C */
	54413, /* index = 84, -14C */
	54853, /* index = 85, -15C */
	55246, /* index = 86, -16C */
	55639, /* index = 87, -17C */
	56033, /* index = 88, -18C */
	56426, /* index = 89, -19C */
	56819, /* index = 90, -20C */
	57158, /* index = 91, -21C */
	57497, /* index = 92, -22C */
	57837, /* index = 93, -23C */
	58176, /* index = 94, -24C */
	58515, /* index = 95, -25C */
	58797, /* index = 96, -26C */
	59078, /* index = 97, -27C */
	59360, /* index = 98, -28C */
	59641, /* index = 99, -29C */
	59923, /* index = 100, -30C */
	60169, /* index = 101, -31C */
	60414, /* index = 102, -32C */
	60660, /* index = 103, -33C */
	60905, /* index = 104, -34C */
	61151, /* index = 105, -35C */
	61343, /* index = 106, -36C */
	61535, /* index = 107, -37C */
	61728, /* index = 108, -38C */
	61920, /* index = 109, -39C */
	62112, /* index = 110, -40C */
};

uint8_t vref_k = 40;
uint32_t vref_offset = 2000;
